Skip to main content

Get Metadata SPSSODescriptor certificate

Using this API, SPSSODescriptor certificate can be generated for the provided appname in the request.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/saml/installation/spsdescriptor?appname={appname}

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_client/saml/spsdescriptor?appname={appname}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters (Required)​

Parameter NameTypeDescription
appname (Required)StringUnique appName of the application

Notes​

Attrribute NameDescription
SAML Metadata SPSSODescriptorTo get certificate of SPSSODescriptor (Query parameter)

Response​

Sample Response​

<EntityDescriptor xmlns="urn:oasis:names:tc:SAML:2.0:metadata" entityID="api7">
<SPSSODescriptor AuthnRequestsSigned="true" WantAssertionsSigned="true"
protocolSupportEnumeration="urn:oasis:names:tc:SAML:2.0:protocol urn:oasis:names:tc:SAML:1.1:protocol http://schemas.xmlsoap.org/ws/2003/07/secext">
<KeyDescriptor use="signing">
<dsig:KeyInfo xmlns:dsig="http://www.w3.org/2000/09/xmldsig#">
<dsig:X509Data>
<dsig:X509Certificate>MIIClzCCAX8CBgFx6yWg8jANBgkqhkiG9w0BAQsFADAPMQ0wCwYDVQQDDARhcGk3MB4XDTIwMDUwNjE3NTkwNFoXDTMwMDUwNjE4MDA0NFowDzENMAsGA1UEAwwEYXBpNzCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKA4yjCoBBTe3Fwd6E93I18l/z+G2OIvu2/3KKh2GkFWlUNecxkh4q1GV3Oecy1vHufA/DGH/LxwROqx5rkYdJICryfKeP6+N/AYW/XhmAzcyx6MEL1E5J7qJ8aFvKFxiqBeopTdkRvrKWDf4ioSAOSzr69y0Nnxb6MpI43CzGAATw2XMsAcNmig1taTRDnYbuyafy6avgkB3olSm0UI+UXck++RZWvATbKIdNvGMFZGUKcMOLOQxyhWOT8A27H5gDCkHf7ODhIxB/tJNwm2zqwTS2QjW/SX4s5T4Bz33Z/ssmD2B7zHPlLjYKqAarCBOFJ6hmFMmcO/y3USG/i61K8CAwEAATANBgkqhkiG9w0BAQsFAAOCAQEANCnXXsLpuGd6G+tNCxzOnBYShlqXO8U2I6+gE57o5tz989KimJK7dXd7rFinQh0x/s7JfebvEEx7CkNo0FiU4p2bzewTHI66/kjWFF9ZIy2ZgB52Z2L0adiu22jB/7dw1m+CzuMCP1yr2FBcTSapRasmHgh8bQo7nr4xM0+XmESfWNLOsNXJ+GL7r/vNNxh/pkD1huoJIHI/tESk4dPAdI7pS7E4hA6rAV3dfxtG7HazXtYU55jGixuGCNJhlMxbjeOh9EIcrK9ZZs0ZKzCCkEIS7ZoMSiQRsqeeJduja7fCisV3T4/TU4EP1APZ7PvsKCrzhZC0Xa4JlxdJm5sZHA==</dsig:X509Certificate>
</dsig:X509Data>
</dsig:KeyInfo>
</KeyDescriptor>
<SingleLogoutService Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect" Location="ERROR:ENDPOINT NOT SET"/>
<NameIDFormat>urn:oasis:names:tc:SAML:1.1:nameid-format:unspecified
</NameIDFormat>
<AssertionConsumerService
Binding="urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect" Location="ERROR:ENDPOINT NOT SET"
index="1" isDefault="true" />
</SPSSODescriptor>
</EntityDescriptor>

Response Status Information​

Status CodeStatusMessage
200OKOK
401UnauthorizedHTTP 401 Unauthorized
404APP_NOT_FOUND_STATUSApp does not exist